The officially official Devuan Forum!

You are not logged in.

#1 2019-02-02 09:44:52

holgerw
Member
Registered: 2019-02-02
Posts: 3  

trouble with installing new package for epson printers

Hello,

Some short words of an new member: I use Linux since 1998 (have started wit S.u.S.E 5.3), then a very long time debian and debian based stuff (siduction) but since two years I'm using FreeBSD as major system because of systemd. But I like it, that some developers don't accept assimilation of GNU/Linux with that init system, and meanwhile we have the choice between some nice alternatives like Void Linux, MX-Linux (antiX) and now with Devuan ascii a Debian, "How a Debian should be" (sorry for my bad english).

Appart from that: For some needs (on our HTPC-System with Intel Gemini Lake architecture) or our Printserver with turboprint Linux is the first choice for me ... well, different operating systems have their strengths and weaknesses, depending from several workflows.

On topic: I use Devuan ascii with turboprint and two printers (Brother Postscript Laserprinter and Epson XP-55 Fotoprinter) on our printserver, it works very good.

And I've a further printer, Epson XP-6000 from my father, I've spent no money for this printer, it is only a testing device, so if there is no possibility to configure it correctly, its not a problem for me. But maybe I can get this printer also working under Devuan.

There are problems with turboprint and XP-6000, so I want to try original driver package offered by Epson directly
epson-inkjet-printer-escpr2_1.0.30-1lsb3.2_amd64.deb
I can't use epson-inkjet-printer-escpr, which can be found in Devuan Repo, because this package does not contain a driver for this new printer model XP-6000 from Epson.
But when I try to install the Epson package, I get following error message:

root@pfau:/home/holger/Downloads# dpkg -i epson-inkjet-printer-escpr2_1.0.30-1lsb3.2_amd64.deb
(Reading database ... 88587 files and directories currently installed.)
Preparing to unpack epson-inkjet-printer-escpr2_1.0.30-1lsb3.2_amd64.deb ...
Unpacking epson-inkjet-printer-escpr2 (1.0.30-1lsb3.2) over (1.0.30-1lsb3.2) ...
[ ok ] Restarting Common Unix Printing System: cupsd.
dpkg: dependency problems prevent configuration of epson-inkjet-printer-escpr2:
 epson-inkjet-printer-escpr2 depends on lsb (>= 3.2); however:
  Package lsb is not installed.

dpkg: error processing package epson-inkjet-printer-escpr2 (--install):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.24-11+deb9u3) ...
Errors were encountered while processing:
 epson-inkjet-printer-escpr2

And when I try to install lsb directly:

 apt install lsb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 lsb : Depends: lsb-core (>= 4.1+devuan2)
       Depends: lsb-graphics (>= 4.1+devuan2) but it is not going to be installed
       Depends: lsb-cxx (>= 4.1+devuan2) but it is not going to be installed
       Depends: lsb-desktop (>= 4.1+devuan2) but it is not going to be installed
       Depends: lsb-printing (>= 4.1+devuan2) but it is not going to be installed
       Depends: lsb-languages (>= 4.1+devuan2) but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution)

Hmmm:

apt --fix-broken install
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages will be REMOVED:
  epson-inkjet-printer-escpr2
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 2098 kB disk space will be freed

Is there a possibility to solve this without endangering the stability and consistency of package management?

Kind regards,
  Holger

Offline

#2 2019-02-02 13:10:43

luizlmarins
Member
From: São Paulo
Registered: 2017-08-06
Posts: 2  
Website

Re: trouble with installing new package for epson printers

Here was not necessary to do this because the driver of Epson it is installed by default. (Devuan ASCII 64 b)

Offline

#3 2019-02-02 16:33:20

holgerw
Member
Registered: 2019-02-02
Posts: 3  

Re: trouble with installing new package for epson printers

luizlmarins wrote:

Here was not necessary to do this because the driver of Epson it is installed by default. (Devuan ASCII 64 b)

Hi,

sorry, but you don't read carefully my thread :-)

I don't disagree, that there is a package in Devuan ascii Repo, which contains driver stuff for Epson printers, but this package does not contain any useful stuff for my Epson XP-6000. The support of Devuan repo package for Epson Printers ends with xp-850 / xp-950 and that's it.

I need support for XP-6000 and Epson offers this with package epson-inkjet-printer-escpr2_1.0.30-1lsb3.2_amd64.deb

Or is there a driver in Devuan package, that also would work? Than please let me know.

Thanks for your interest.

Last edited by holgerw (2019-02-02 16:34:43)

Offline

#4 2019-02-02 16:38:24

golinux
Administrator
Registered: 2016-11-25
Posts: 1,490  

Re: trouble with installing new package for epson printers

Have you tried devuan backports?

Offline

#5 2019-02-02 16:55:52

guuml.dev1
Member
Registered: 2018-12-09
Posts: 13  

Re: trouble with installing new package for epson printers

Sorry but there is one driver package for epson, see  epson-inkjet-printer-escpr, that can't be used:

holgerw wrote:

I can't use epson-inkjet-printer-escpr, which can be found in Devuan Repo, because this package does not contain a driver for this new printer model XP-6000 from Epson.

But there is another package epson-inkjet-printer-escpr2_1.0.30-1lsb3.2_amd64.deb from epson. That package looks like having problems on debian/jessie based distros: two examples for others:

Coming from both ubuntu 12.04 and LMDE 2 I have seen changes with the lsb (linux standard base) in devuan/jessie and ascii, but they worked for me.

Update #1: notable commands according to https://forums.linuxmint.com/viewtopic. … 4#p1395991:

# find installed packages for "Linux Standard Base"
dpkg -l | grep lsb

# find installed epson print drivers 
dpkg -l epson-inkjet-printer*

As Devuan Package Search for lsb stats, adding lsb_4.1+devuan2  with additional packages may be helpful.

apt install lsb --dry-run

Note: The Option "--dry-run" is stongly recommended! Think about it.

@holgerw: I strongly support the approach to keep working hardware running;-) Hopefully you get some glue to looking for.

Good luck and kind regards

Last edited by guuml.dev1 (2019-02-02 20:20:16)


guuml is an abbrevation for ascii-aware gü
human beings call me Gü
Gü sets focus to devuan

Offline

#6 2019-02-03 15:12:54

holgerw
Member
Registered: 2019-02-02
Posts: 3  

Re: trouble with installing new package for epson printers

Hello,

thanks for further interest.

golinux wrote:

Have you tried devuan backports?

Yes, but without success.

@guuml.dev1 Thanks for sharing some details about lsb, Epson driver packages under Debian / Devuan.
I'll wait some days / weeks. Maybe we also get more actual driver package stuff in Debian / Devuan Testing repo, which also support my XP-6000.

And as I've written: The Epson XP-6000 is only a testing device. Brother Laserprinter and Epson XP-55 both work excellent with turtboprint under Devuan ascii.

But from time to time I'll give it a try. Maybe in a few weeks it will work.

Kind regards
  Holger

Offline

Board footer